Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE4 Overlay - monolithic ebuilds
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, ... 29, 30, 31  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Zephyrus
Apprentice
Apprentice


Joined: 01 Sep 2004
Posts: 201

PostPosted: Wed Jan 31, 2007 10:51 pm    Post subject: Reply with quote

uh, sorry, it should be fixed now.
Can you update the overlay and check, please ? ;)
Back to top
View user's profile Send private message
kuschelkriterium
n00b
n00b


Joined: 16 Nov 2004
Posts: 33

PostPosted: Thu Feb 01, 2007 5:01 pm    Post subject: Reply with quote

Thanks; fixed now. Unfortunately, there is another problem:

after installing and merging kdelibs-5 succesfully, postinstall doesn't finish, as kbuildsycoca hangs (for at least half an hour, up to now).
Trying by hand gives me

Code:

dhcppc3 dopefish # /usr/kde/svn/bin/kbuildsycoca --global --noincremental
QMutex::lock: Deadlock detected in thread 47210837946592


htop says, that kbuildsycoca hat consumed 4sec of time so far...

Any ideas?
_________________
And as in uffish thought he stood/The Jabberwock, with eyes of flame/Came whiffling through the tulgey wood/And burbled as it came!
Back to top
View user's profile Send private message
Rainmaker
Veteran
Veteran


Joined: 12 Feb 2004
Posts: 1650
Location: /home/NL/ehv/

PostPosted: Fri Feb 02, 2007 2:40 am    Post subject: Reply with quote

I just ctrl-c the process, portage still says the ebuild is emerged, to I don't think there are any ill effects :)

However, kdebase-5 still fails to emerge for me?

*edit

[s]Strangely enough, I can't find an error message here?[/s]

MAKEOPTS -j1 helps here :)

Code:
[  1%] Building CXX object runtime/drkonqi/CMakeFiles/drkonqi.dir/main.o
/usr/bin/c++   -march=nocona -O2 -pipe -fomit-frame-pointer -funroll-loops -fweb -ftree-vectorize  -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -fno-check-new -fno-common -fvisibility=hidden -O2 -g -I/var/tmp/portage/kde-base/kdebase-5/work/kdebase_build/runtime/drkonqi -I/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/runtime/drkonqi -I/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5 -I/var/tmp/portage/kde-base/kdebase-5/work/kdebase_build -I/usr/include/qt4 -I/usr/include/qt4/Qt -I/usr/share/qt4/mkspecs/default -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtAssistant -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtTest -I/usr/include/qt4/QtDBus -I/usr/kde/svn/include -I/usr/kde/svn/include/KDE -I/usr/local/include -I/usr/include/X11   -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -D_GNU_SOURCE -DQT_NO_STL -DQT_NO_CAST_TO_ASCII -D_REENTRANT -DKDE_DEPRECATED_WARNINGS -DQT3_SUPPORT -DHAVE_CONFIG_H=1 -o runtime/drkonqi/CMakeFiles/drkonqi.dir/main.o -c /var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/runtime/drkonqi/main.cpp
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/runtime/drkonqi/main.cpp: In function 'int main(int, char**)':
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/runtime/drkonqi/main.cpp:85: fout: 'KComponentData' was not declared in this scope
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/runtime/drkonqi/main.cpp:85: fout: expected `;' before 'inst'

_________________
If you can't dazzle them with brilliance, baffle them with bullshit.
Back to top
View user's profile Send private message
jefferai
n00b
n00b


Joined: 02 Feb 2007
Posts: 11

PostPosted: Fri Feb 02, 2007 9:43 am    Post subject: qt-copy patches Reply with quote

Any chance of a qt ebuild in the overlay that fetches in the patches used in KDE's qt-copy? They can be pulled from SVN:

http://websvn.kde.org/trunk/qt-copy/patches/

Sometimes, supposedly, kde4 won't function without these.

Thanks,
Jeff
Back to top
View user's profile Send private message
Zephyrus
Apprentice
Apprentice


Joined: 01 Sep 2004
Posts: 201

PostPosted: Fri Feb 02, 2007 2:10 pm    Post subject: Re: qt-copy patches Reply with quote


  • About the kbuildsycoca problem: i can't replicate it. :( Can you post your emerge --info? do you have other version of kde installed?
  • About the kdebase compile error: probably the svn tree is broken.

jefferai wrote:
Any chance of a qt ebuild in the overlay that fetches in the patches used in KDE's qt-copy? They can be pulled from SVN:

http://websvn.kde.org/trunk/qt-copy/patches/

Sometimes, supposedly, kde4 won't function without these.

Thanks,
Jeff

I added a qt ebuild modified to include the kde svn patches. I didn't write a live ebuild because I think that it's an overkill to fetch all the qt tree from the kde svn only for few patches.
Back to top
View user's profile Send private message
kuschelkriterium
n00b
n00b


Joined: 16 Nov 2004
Posts: 33

PostPosted: Fri Feb 02, 2007 3:48 pm    Post subject: Reply with quote

Yes; I have another version of kde installed:

Code:

   Info about currently installed ebuild:

   * kde-base/kdelibs-3.5.6-r1
   Install date: Mon Jan 29 20:27:11 2007
   USE="alsa cups spell ssl kernel_linux fam -acl -arts -doc -jpeg2k -kerberos -legacyssl -utempter -openexr -pertty -tiff -zeroconf -avahi -lua -linguas_he -kdehiddenvisibility"
   CFLAGS="-march=athlon64 -O2 -pipe"

   * kde-base/kdelibs-5
   Install date: Sun Jan 21 11:17:41 2007
   USE="alsa bzip2 cups fam ssl spell -acl -doc -jpeg2k -kerberos -openexr -tiff -zeroconf"
   CFLAGS="-march=athlon64 -O2 -pipe"


So yes; kdelibs DID install, anthough I ctrl-c-ed the postinstall.

Code:

dhcppc3 dopefish # emerge --info
Portage 2.1.2-r5 (default-linux/amd64/2006.1, gcc-4.1.1, glibc-2.5-r0, 2.6.19-gentoo-r2 x86_64)
=================================================================
System uname: 2.6.19-gentoo-r2 x86_64 Intel(R) Core(TM)2 CPU          6400  @ 2.13GHz
Gentoo Base System version 1.12.9
Timestamp of tree: Wed, 31 Jan 2007 19:00:01 +0000
ccache version 2.4 [enabled]
dev-java/java-config: 1.3.7, 2.0.31-r3
dev-lang/python:     2.4.4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.19.2-r2
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.inode.at/ ftp://gentoo.inode.at/source/ ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp.nyx.hu/gentoo"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/xeffects /usr/portage/local/layman/kde /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acpi alsa amd64 avi bash-completion beagle berkdb bitmap-fonts bzip2 cairo caps ccache cdparanoia cdr cli cracklib crypt cups curl dbus divx dlloader dri dvd dvdr emboss encode esd exif fam firefox fortran gdbm gif glitz gpm gstreamer gtk gtk2 hal history iconv ipv6 isdnlog java jpeg kde kipi ldap libg++ mad midi mikmod mp3 mpeg musicbrainz ncurses nls nptl nptlonly nsplugin ntfs offensive ogg opengl oss pam pcre pdf pdflib perl png ppds pppd python qt3 qt3support qt4 quicktime readline realmedia reflection reiserfs samba sdl session spell spl ssl tcpd truetype truetype-fonts type1-fonts udev unicode visualization vorbis wmp xml xorg xscreensaver xv zlib" ALSA_CARDS="emu10k1 hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="apm ark ati chips cirrus cyrix dummy fbdev glint i128 i810 mga neomagic nv rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware voodoo"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS


And, BTW:

Code:

dhcppc3 kdelibs # emerge -av kdeaddons

These are the packages that would be merged, in order:

Calculating dependencies \
emerge: there are no ebuilds to satisfy "=kde-base/kdelibs-4*".
(dependency required by "kde-base/kdeaddons-5" [ebuild])

_________________
And as in uffish thought he stood/The Jabberwock, with eyes of flame/Came whiffling through the tulgey wood/And burbled as it came!
Back to top
View user's profile Send private message
jefferai
n00b
n00b


Joined: 02 Feb 2007
Posts: 11

PostPosted: Sat Feb 03, 2007 7:49 am    Post subject: A couple things Reply with quote

1) Thanks for making the Qt ebuild. I looked at the sources...I don't know much about writing ebuilds, but is there a way to dynamically pull all the current qt-copy patches? That way the ebuild doesn't need to be updated whenever the patches change. Could do a svn checkout plus a patch on *.patch?

2) After installing kdelibs-5, I get the following emerging some regular kde packages:

Code:

!!! ERROR: kde-base/kgamma-3.5.6 failed.
Call stack:
  ebuild.sh, line 1562:   Called dyn_setup
  ebuild.sh, line 665:   Called pkg_setup
  ebuild.sh, line 1255:   Called kde_pkg_setup
  kde.eclass, line 58:   Called built_with_use 'kde-base/kdelibs' 'arts'
  eutils.eclass, line 1671:   Called die

!!! kde-base/kdelibs-5 does not actually support the arts USE flag!
!!! If you need support, post the topmost build error, and the call stack if relevant.


If you look at kde.eclass line 58 it looks like it just looks at kde-base/kdelibs and so ends up looking at -5 since it's the latest. I'm fixing by unsetting the arts flag (if that doesn't actually fix it I'll let you know), but I do wonder if there's a way around it.

Thanks,
Jeff
Back to top
View user's profile Send private message
Zephyrus
Apprentice
Apprentice


Joined: 01 Sep 2004
Posts: 201

PostPosted: Sat Feb 03, 2007 12:49 pm    Post subject: Reply with quote

I fixed the kdeaddons dependency problem. I'm also working on the other issues.
Back to top
View user's profile Send private message
Rainmaker
Veteran
Veteran


Joined: 12 Feb 2004
Posts: 1650
Location: /home/NL/ehv/

PostPosted: Fri Feb 23, 2007 12:46 am    Post subject: Reply with quote

I'm getting

Code:
These are the packages that would be merged, in order:

Calculating world dependencies |
!!! Multiple versions within a single package slot have been
!!! pulled into the dependency graph:

('installed', '/', 'x11-libs/qt-4.2.1', 'nomerge') pulled in by
  ('ebuild', '/', 'kde-base/kdelibs-5', 'nomerge')

('ebuild', '/', 'x11-libs/qt-4.1.4-r2', 'merge') pulled in by
  ('ebuild', '/', 'net-p2p/qbittorrent-0.8.0', 'nomerge')


this now. Probably put the qt ebuild in a wrong SLOT?
_________________
If you can't dazzle them with brilliance, baffle them with bullshit.
Back to top
View user's profile Send private message
ArneBab
Guru
Guru


Joined: 24 Jan 2006
Posts: 371
Location: Graben-Neudorf, Germany

PostPosted: Fri Feb 23, 2007 3:38 am    Post subject: Reply with quote

qbittorent simply seems to request an outdated version of the qt4 series.

This is something the qbittorent people should solve I assume...

Wishes,
Arne
_________________
Being unpolitical means being political without realizing it. - Arne Babenhauserheide ( http://draketo.de )

pkgcore: So fast that it feels unreal - by doing only what is needed.
Back to top
View user's profile Send private message
StaffanP
n00b
n00b


Joined: 01 Oct 2002
Posts: 22
Location: Sweden

PostPosted: Sun Feb 25, 2007 5:03 pm    Post subject: Missing file: docbook-slot.patch Reply with quote

I'm trying to install this but it fails already on kdelibs:

Code:
>>> Emerging (1 of 17) kde-base/kdelibs-5 to /
 * checking ebuild checksums ;-) ...                                                    [ ok ]
 * checking auxfile checksums ;-) ...                                                   [ !! ]

!!! A file listed in the Manifest could not be found: /usr/portage/local/layman/kde/kde-base/kdelibs/files/docbook-slot.patch


Can I download this file somewhere?
Back to top
View user's profile Send private message
Zephyrus
Apprentice
Apprentice


Joined: 01 Sep 2004
Posts: 201

PostPosted: Sun Feb 25, 2007 7:30 pm    Post subject: Re: Missing file: docbook-slot.patch Reply with quote

StaffanP wrote:
I'm trying to install this but it fails already on kdelibs:

Code:
>>> Emerging (1 of 17) kde-base/kdelibs-5 to /
 * checking ebuild checksums ;-) ...                                                    [ ok ]
 * checking auxfile checksums ;-) ...                                                   [ !! ]

!!! A file listed in the Manifest could not be found: /usr/portage/local/layman/kde/kde-base/kdelibs/files/docbook-slot.patch


Can I download this file somewhere?

Fixed. Please update your local repository. :)
Back to top
View user's profile Send private message
StaffanP
n00b
n00b


Joined: 01 Oct 2002
Posts: 22
Location: Sweden

PostPosted: Sun Feb 25, 2007 7:59 pm    Post subject: Re: Missing file: docbook-slot.patch Reply with quote

Zephyrus wrote:

Fixed. Please update your local repository. :)


Thanks! Now it works
Back to top
View user's profile Send private message
enx89
Apprentice
Apprentice


Joined: 21 Mar 2003
Posts: 192
Location: Milano

PostPosted: Sun Mar 04, 2007 2:09 am    Post subject: Reply with quote

The kdebase-5 package doesn't build. There's some fix or workaround for this to build?

when I go into the directory /var/tmp/portage/kde-base/kdebase-5/work/kdebase_build and type "make" I have this result:
Code:
[  9%] Building CXX object runtime/kcontrol/kcontrol/CMakeFiles/kdeinit_kcontrol.dir/kdeinit_kcontrol_final_cpp.o
In file included from /var/tmp/portage/kde-base/kdebase-5/work/kdebase_build/runtime/kcontrol/kcontrol/kdeinit_kcontrol_final_cpp.cpp:11:
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/runtime/kcontrol/kcontrol/moduleIface.cpp:36:2: warning: #warning "kde4: DBUS port "
In file included from /var/tmp/portage/kde-base/kdebase-5/work/kdebase_build/runtime/kcontrol/kcontrol/kdeinit_kcontrol_final_cpp.cpp:13:
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/runtime/kcontrol/kcontrol/modules.cpp:73:2: warning: #warning I expect KControl in its current form to disappear, if not a real port is needed
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/runtime/kcontrol/kcontrol/modules.cpp:153:2: warning: #warning "KDE4 porting ";
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/runtime/kcontrol/kcontrol/modules.cpp:160:2: warning: #warning "KDE4 porting"
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/runtime/kcontrol/kcontrol/modules.cpp:203:2: warning: #warning "--nonewdcop doesn't exist now";
In file included from /var/tmp/portage/kde-base/kdebase-5/work/kdebase_build/runtime/kcontrol/kcontrol/kdeinit_kcontrol_final_cpp.cpp:14:
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/runtime/kcontrol/kcontrol/proxywidget.cpp:166:2: warning: #warning "kde4: DBUS port"
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/runtime/kcontrol/kcontrol/dockcontainer.cpp:56: warning: unused parameter ‘name’
/usr/include/qt4/QtGui/qslider.h:56: error: expected identifier before numeric constant
/usr/include/qt4/QtGui/qslider.h:56: error: expected `}' before numeric constant
/usr/include/qt4/QtGui/qslider.h:56: error: expected unqualified-id before numeric constant
/usr/include/qt4/QtGui/qslider.h:64: error: expected `)' before ‘*’ token
/usr/include/qt4/QtGui/qslider.h:65: error: expected `)' before ‘orientation’
/usr/include/qt4/QtGui/qslider.h:67: error: expected constructor, destructor, or type conversion before ‘;’ token
/usr/include/qt4/QtGui/qslider.h:69: error: non-member function ‘QSize sizeHint()’ cannot have cv-qualifier
/usr/include/qt4/QtGui/qslider.h:70: error: non-member function ‘QSize minimumSizeHint()’ cannot have cv-qualifier
/usr/include/qt4/QtGui/qslider.h:72: error: variable or field ‘setTickPosition’ declared void
/usr/include/qt4/QtGui/qslider.h:72: error: ‘TickPosition’ was not declared in this scope
/usr/include/qt4/QtGui/qslider.h:73: error: ‘TickPosition’ does not name a type
/usr/include/qt4/QtGui/qslider.h:76: error: non-member function ‘int tickInterval()’ cannot have cv-qualifier
/usr/include/qt4/QtGui/qslider.h:80: error: expected unqualified-id before ‘protected’
/usr/include/qt4/QtGui/qslider.h:87: error: expected unqualified-id before ‘public’
/usr/include/qt4/QtGui/qslider.h:89: error: expected `)' before ‘,’ token
/usr/include/qt4/QtGui/qslider.h:89: error: expected initializer before ‘*’ token
/usr/include/qt4/QtGui/qslider.h:90: error: expected unqualified-id before ‘int’
/usr/include/qt4/QtGui/qslider.h:90: error: expected `)' before ‘int’
/usr/include/qt4/QtGui/qslider.h:93: error: variable or field ‘setTickmarks’ declared void
/usr/include/qt4/QtGui/qslider.h:93: error: ‘setTickmarks’ declared as an ‘inline’ variable
/usr/include/qt4/QtGui/qslider.h:93: error: ‘TickPosition’ was not declared in this scope
/usr/include/qt4/QtGui/qslider.h:93: error: expected ‘,’ or ‘;’ before ‘{’ token
/usr/include/qt4/QtGui/qslider.h:94: error: ‘TickPosition’ does not name a type
/usr/include/qt4/QtGui/qslider.h:95: error: expected unqualified-id before ‘public’
/usr/include/qt4/QtGui/qslider.h: In function ‘void subtractStep()’:
/usr/include/qt4/QtGui/qslider.h:97: error: ‘SliderSingleStepSub’ was not declared in this scope
/usr/include/qt4/QtGui/qslider.h:97: error: ‘triggerAction’ was not declared in this scope
/usr/include/qt4/QtGui/qslider.h: At global scope:
/usr/include/qt4/QtGui/qslider.h:100: error: expected unqualified-id before ‘private’
/usr/include/qt4/QtGui/qslider.h:103: error: expected unqualified-id before ‘const’
/usr/include/qt4/QtGui/qslider.h:103: error: expected `)' before ‘const’
/usr/include/qt4/QtGui/qslider.h:103: error: ‘QSlider& operator=(const QSlider&)’ must be a nonstatic member function
/usr/include/qt4/QtGui/qslider.h: In function ‘QSliderPrivate* d_func()’:
/usr/include/qt4/QtGui/qslider.h:104: error: ‘d_ptr’ was not declared in this scope
/usr/include/qt4/QtGui/qslider.h: At global scope:
/usr/include/qt4/QtGui/qslider.h:104: error: non-member function ‘const QSliderPrivate* d_func()’ cannot have cv-qualifier
/usr/include/qt4/QtGui/qslider.h: In function ‘const QSliderPrivate* d_func()’:
/usr/include/qt4/QtGui/qslider.h:104: error: new declaration ‘const QSliderPrivate* d_func()’
/usr/include/qt4/QtGui/qslider.h:104: error: ambiguates old declaration ‘QSliderPrivate* d_func()’
/usr/include/qt4/QtGui/qslider.h: In function ‘QSliderPrivate* d_func()’:
/usr/include/qt4/QtGui/qslider.h:104: error: ‘d_ptr’ was not declared in this scope
/usr/include/qt4/QtGui/qslider.h: At global scope:
/usr/include/qt4/QtGui/qslider.h:104: error: ‘friend’ can only be specified inside a class
/usr/include/qt4/QtGui/qslider.h:105: error: expected declaration before ‘}’ token
make[2]: *** [runtime/kcontrol/kcontrol/CMakeFiles/kdeinit_kcontrol.dir/kdeinit_kcontrol_final_cpp.o] Error 1
make[1]: *** [runtime/kcontrol/kcontrol/CMakeFiles/kdeinit_kcontrol.dir/all] Error 2
make: *** [all] Error 2


thanks ENx
Back to top
View user's profile Send private message
enx89
Apprentice
Apprentice


Joined: 21 Mar 2003
Posts: 192
Location: Milano

PostPosted: Sun Mar 04, 2007 2:26 am    Post subject: Reply with quote

Ops, I have added
Code:
USE="-kdeenablefinal"
and it kdebase-5 seems to build. :)
ENx
Back to top
View user's profile Send private message
Zephyrus
Apprentice
Apprentice


Joined: 01 Sep 2004
Posts: 201

PostPosted: Sun Mar 04, 2007 10:26 am    Post subject: Reply with quote

As I wrote in the README, there are some packages that at the moment don't support this feature and therefore I discourage enabling it. ;)
Back to top
View user's profile Send private message
enx89
Apprentice
Apprentice


Joined: 21 Mar 2003
Posts: 192
Location: Milano

PostPosted: Sun Mar 04, 2007 12:56 pm    Post subject: Reply with quote

Now I have this error on compile:
Code:
[ 81%] Building CXX object workspace/kicker/applets/media/CMakeFiles/media_panelapplet.dir/mediaapplet.o
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/workspace/kicker/applets/media/mediaapplet.cpp: In member function ‘void MediaApplet::arrangeButtons()’:
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/workspace/kicker/applets/media/mediaapplet.cpp:178: error: no matching function for call to ‘qMax(int, unsigned int&)’
make[2]: *** [workspace/kicker/applets/media/CMakeFiles/media_panelapplet.dir/mediaapplet.o] Error 1
make[1]: *** [workspace/kicker/applets/media/CMakeFiles/media_panelapplet.dir/all] Error 2
make: *** [all] Error 2

everyone have the same problem?
ENx
Back to top
View user's profile Send private message
richard_ablitt
Tux's lil' helper
Tux's lil' helper


Joined: 30 Jan 2006
Posts: 99

PostPosted: Sun Mar 04, 2007 4:30 pm    Post subject: Reply with quote

enx89 wrote:
Now I have this error on compile:
Code:
[ 81%] Building CXX object workspace/kicker/applets/media/CMakeFiles/media_panelapplet.dir/mediaapplet.o
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/workspace/kicker/applets/media/mediaapplet.cpp: In member function ‘void MediaApplet::arrangeButtons()’:
/var/tmp/portage/kde-base/kdebase-5/work/kdebase-5/workspace/kicker/applets/media/mediaapplet.cpp:178: error: no matching function for call to ‘qMax(int, unsigned int&)’
make[2]: *** [workspace/kicker/applets/media/CMakeFiles/media_panelapplet.dir/mediaapplet.o] Error 1
make[1]: *** [workspace/kicker/applets/media/CMakeFiles/media_panelapplet.dir/all] Error 2
make: *** [all] Error 2

everyone have the same problem?
ENx


I got that one as well...

Edit: It's fixed in the latest SVN.
Back to top
View user's profile Send private message
FGA
Apprentice
Apprentice


Joined: 07 Apr 2004
Posts: 179

PostPosted: Thu Mar 08, 2007 3:20 pm    Post subject: Reply with quote

I'm getting this error while emerging kdebase-5

Code:
...
-- Looking for XdmcpWrap
-- Looking for XdmcpWrap - found
-- Looking for XkbSetPerClientControls in X11
-- Looking for XkbSetPerClientControls in X11 - found
-- TODO: fix nsplugintest linking (cmake problem)
--
----------------------------------------------------------------------------------
-- The following list of OPTIONAL packages could NOT be located on your system. --
-- Consider installing them to enable more features from this software.         --
----------------------------------------------------------------------------------
+ NetworkManager: NetworkManager is a daemon for user controlled networking <http://www.gnome.org/projects/NetworkManager>

CMake Error: This project requires some variables to be set,
and cmake can not find them.
Please set the following variables:
X11_Xinerama_LIB (ADVANCED)

-- Configuring done

!!! ERROR: kde-base/kdebase-5 failed.
Call stack:
  ebuild.sh, line 1614:   Called dyn_compile
  ebuild.sh, line 971:   Called qa_call 'src_compile'
  environment, line 4136:   Called src_compile
  kdebase-5.ebuild, line 76:   Called kde-cmake_src_compile
  kde-cmake.eclass, line 188:   Called kde-cmake_src_configure
  kde-cmake.eclass, line 253:   Called die

!!! Cmake failed!
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/kde-base/kdebase-5/temp/build.log'.

This ebuild used the following eclasses from overlays:

  /usr/portage/local/layman/kde/eclass/kde-cmake.eclass
  /usr/portage/local/layman/kde/eclass/cmake-utils.eclass
  /usr/portage/local/layman/kde/eclass/kde-cmake-functions.eclass
  /usr/portage/local/layman/kde/eclass/subversion.eclass

!!! This ebuild is from an overlay: '/usr/portage/local/layman/kde'


EDIT: I think I found the solution:

Quote:
if you get an error saying "Please set the following variables: X11_XTest_LIB (ADVANCED)", install the devel package of Xtst. On some systems, this is packaged separately from xext and called x11proto-xext-dev or libxtst-dev. You may also need to remove the CMakeCache.txt file in the build dir after installing the package.
the same for "X11_Xinerama_LIB (ADVANCED)" where you will need the devel package for xinerama.


EDIT2: fixed, I had to emerge libXinerama, perhaps it should be a dependency of kdebase on the ebuild?
Back to top
View user's profile Send private message
Zephyrus
Apprentice
Apprentice


Joined: 01 Sep 2004
Posts: 201

PostPosted: Thu Mar 08, 2007 7:41 pm    Post subject: Reply with quote

Noted, thanks for the report. I'll fix as soon as possibile.
By the way, a major upgrade to the overlay is coming.
Back to top
View user's profile Send private message
xanas3712
Guru
Guru


Joined: 15 Oct 2004
Posts: 455

PostPosted: Thu Mar 08, 2007 8:30 pm    Post subject: Reply with quote

Is there a changelog somewhere which shows what is being added feature-wise during the process leading to KDE4? Just curious because I'm wondering if there is any reason to use the svn version of KDE4 (I use this with beryl but there is change constantly there that's pretty visible, same with amarok when I was using the amarok-svn, but not so much that I can tell with say.. xine-lib)
Back to top
View user's profile Send private message
Zephyrus
Apprentice
Apprentice


Joined: 01 Sep 2004
Posts: 201

PostPosted: Fri Mar 09, 2007 1:25 pm    Post subject: Reply with quote

xanas3712 wrote:
Is there a changelog somewhere which shows what is being added feature-wise during the process leading to KDE4? Just curious because I'm wondering if there is any reason to use the svn version of KDE4 (I use this with beryl but there is change constantly there that's pretty visible, same with amarok when I was using the amarok-svn, but not so much that I can tell with say.. xine-lib)


I think that at the moment there are really no reasons to use kde4 unless you need to port an application to it or you want to contribute to the project.

If you want something to read generally about kde4 upcoming features you should consult KDE Dot News "The road to KDE4" articles, while if you want to follow the development more thoroughly you should read KDE4 release plan ( http://developer.kde.org/development-versions/kde-4.0-release-plan.html / http://developernew.kde.org/Schedules/KDE_4.0_Release_Schedule ) and the features plan ( http://developer.kde.org/development-versions/kde-4.0-features.html / http://developernew.kde.org/Schedules/KDE_4.0_Feature_Plan ). Unluckily it seems that at the moment the two plans are not updated regularly.
Back to top
View user's profile Send private message
jefferai
n00b
n00b


Joined: 02 Feb 2007
Posts: 11

PostPosted: Fri Mar 09, 2007 2:05 pm    Post subject: Strigi needed Reply with quote

kdelibs now depends on Strigi. There's an ebuild here:

http://bugs.gentoo.org/show_bug.cgi?id=147553

Although according to Diego it's not a great ebuild, it would at least let us keep emerging kdelibs. Can you add it?

Thanks!
Back to top
View user's profile Send private message
obsrv
Apprentice
Apprentice


Joined: 19 Aug 2005
Posts: 167
Location: Panevėžys, Lithuania

PostPosted: Fri Mar 09, 2007 5:04 pm    Post subject: Reply with quote

Code:
niki portage # layman -s kde
*
* Errors:
* ------
*
* Failed to sync overlay "kde".
* Error was: No such overlay ("kde")!
*
niki portage # layman -ks kde
*
* Errors:
* ------
*
* Failed to sync overlay "kde".
* Error was: No such overlay ("kde")!


How do I solve this?
Back to top
View user's profile Send private message
Zephyrus
Apprentice
Apprentice


Joined: 01 Sep 2004
Posts: 201

PostPosted: Fri Mar 09, 2007 5:30 pm    Post subject: Reply with quote

have you executed:
Code:

layman -a kde

However I suggest you to a wait a few days for the major revision of the overlay.
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, ... 29, 30, 31  Next
Page 2 of 31

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum